org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker

## Interface DumpProcessor

    public interface DumpProcessor

Dump processor.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `processDump(PageLockLogSnapshot snapshot)`
`void` `processDump(PageLockStackSnapshot snapshot)`
`void` `processDump(ThreadPageLocksDumpLock snapshot)`

### Method Detail

#### processDump

    void processDump(PageLockLogSnapshot snapshot)

Parameters:
  `snapshot` - Process lock log snapshot.

#### processDump

    void processDump(PageLockStackSnapshot snapshot)

Parameters:
  `snapshot` - Process lock stack snapshot.

#### processDump

    void processDump(ThreadPageLocksDumpLock snapshot)

Parameters:
  `snapshot` - Process lock thread dump snapshot.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021